Subject: Problems Compiling Wu-FTP for Linux.

From: E Beaumont <[email-masked]>
Date: Sun, 20 Aug 1995 09:50:24 +1000 (EST)

Hello all!

I am having problems compling Wu-FTP for Linux.   I have managed to get
rid of most the problems, bu the following one still remains.   I was
wondering if anyone had any suggestions?  Here is the log of the build.

make args are : 
make opts are : 

Linking Makefiles.
ln: Makefile: File exists
ln: config.h: File exists
ln: Makefile: File exists

Making support library.
rm -rf libsupport.a
gcc  -O2 -I/usr/include/bsd  -m486 -pipe -c getusershell.c fnmatch.c strcasestr.c strerror.c authuser.c ftw.c 
ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strerror.o authuser.o ftw.o
ranlib libsupport.a

Making ftpd.
gcc -O2 -I.. -I../support -I/usr/include/bsd -I/usr/include/netinet -L../support   -c ftpcmd.c -o ftpcmd.o
ftpcmd.y: In function `yyparse':
ftpcmd.y:371: `cmdtab' undeclared (first use this function)
ftpcmd.y:371: (Each undeclared identifier is reported only once
ftpcmd.y:371: for each function it appears in.)
ftpcmd.y:383: `sitetab' undeclared (first use this function)
ftpcmd.y: At top level:
ftpcmd.y:885: `cmdtab' used prior to declaration
ftpcmd.y:936: `sitetab' used prior to declaration
ftpcmd.y:1520: warning: type mismatch with previous external decl
ftpcmd.y:683: warning: previous external decl of `print_groups'
ftpcmd.y:1520: warning: type mismatch with previous implicit declaration
ftpcmd.y:683: warning: previous implicit declaration of `print_groups'
ftpcmd.y:1520: warning: `print_groups' was previously implicitly declared to return `int'
make: *** [ftpcmd.o] Error 1

Making ftpcount.
make: `ftpcount' is up to date.

Making ftpshut.
make: `ftpshut' is up to date.

Making ckconfig.
make: `ckconfig' is up to date.
ln: ftpwho: File exists
ln: ckconfig: File exists

Links to executables are in bin directory:
size: bin/ftpd: No such file or directory
text	data	bss	dec	hex	filename
4064   	4096   	0      	8160   	1fe0   	bin/ftpcount
4064   	4096   	0      	8160   	1fe0   	bin/ftpshut
4064   	4096   	0      	8160   	1fe0   	bin/ftpwho
4064   	4096   	0      	8160   	1fe0   	bin/ckconfig
Done
-- 
Morlok (E Beaumont) ---------------+ UUCP Coordinator - APANA Brisbane ----   
"An eagle may soar, but a weasel   | Member for Brisbane Regional Committee   
 never gets sucked into a jet      | Ph:    +61 07 3368 3328
 engine"             Simon & Simon + Email: [email-masked]